import { RequestWithSession, Response } from '@loopback/rest';
import { ILogger } from '@loopx/core';
import { AuthClientRepository } from '@loopx/user-core';
import { AuthCodeGeneratorFn } from '../../providers';
import { AuthPages } from '../../types';
import { AuthUser } from './models/auth-user.model';
import { ClientAuthRequest } from './models/client-auth-request.dto';
export declare class AuthaLoginController {
    authClientRepository: AuthClientRepository;
    logger: ILogger;
    private readonly getAuthCode;
    private readonly authPages;
    constructor(authClientRepository: AuthClientRepository, logger: ILogger, getAuthCode: AuthCodeGeneratorFn, authPages: AuthPages);
    loginViaAutha(clientId?: string, clientChallenge?: string, clientChallengeMethod?: string): Promise<void>;
    postLoginViaAutha(clientCreds: ClientAuthRequest): Promise<void>;
    authaCallback(responseMode: string, request: RequestWithSession, response: Response, user: AuthUser | undefined): Promise<void>;
}
