import { Response } from '@loopback/rest';
import { ILogger } from '@loopx/core';
import { AuthClientRepository } from '@loopx/user-core';
import { AuthCodeGeneratorFn } from '../../providers';
import { AuthPages } from '../../types';
import { AuthUser } from './models/auth-user.model';
import { ClientAuthRequest } from './models/client-auth-request.dto';
export declare class AzureLoginController {
    authClientRepository: AuthClientRepository;
    logger: ILogger;
    private readonly getAuthCode;
    private readonly authPages;
    constructor(authClientRepository: AuthClientRepository, logger: ILogger, getAuthCode: AuthCodeGeneratorFn, authPages: AuthPages);
    getLoginViaAzure(clientId?: string, //NOSONAR
    clientSecret?: string): Promise<void>;
    postLoginViaAzure(clientCreds?: ClientAuthRequest): Promise<void>;
    azureCallback(code: string, //NOSONAR
    state: string, sessionState: string, //NOSONAR
    responseMode: string, response: Response, user: AuthUser | undefined): Promise<void>;
}
