import { Response } from '@loopback/rest';
import { ILogger } from '@loopx/core';
import { AuthClientRepository } from '@loopx/user-core';
import { AuthCodeGeneratorFn } from '../../providers';
import { AuthPages } from '../../types';
import { AuthUser } from './models/auth-user.model';
import { ClientAuthRequest } from './models/client-auth-request.dto';
export declare class InstagramLoginController {
    authClientRepository: AuthClientRepository;
    logger: ILogger;
    private readonly getAuthCode;
    private readonly authPages;
    constructor(authClientRepository: AuthClientRepository, logger: ILogger, getAuthCode: AuthCodeGeneratorFn, authPages: AuthPages);
    postLoginViaInstagram(clientCreds?: ClientAuthRequest): Promise<void>;
    instagramCallback(code: string, state: string, responseMode: string, response: Response, user: AuthUser | undefined): Promise<void>;
}
