"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthPagesProvider = void 0;
const tslib_1 = require("tslib");
const node_path_1 = tslib_1.__importDefault(require("node:path"));
const core_1 = require("@loopback/core");
const ejs_1 = tslib_1.__importDefault(require("ejs"));
const fs = tslib_1.__importStar(require("fs"));
const keys_1 = require("../keys");
const responses_1 = require("../responses");
const pagesTemplates = {};
let AuthPagesProvider = class AuthPagesProvider {
    constructor(config = {}) {
        this.config = config;
    }
    value() {
        var _a;
        const pages = (_a = this.config.pages) !== null && _a !== void 0 ? _a : {};
        const webMessage = (data, response) => {
            var _a, _b;
            const webMessagePagePath = (_a = pages.webMessage) !== null && _a !== void 0 ? _a : resolvePagePath('auth-web-message.ejs');
            const cache = ((_b = pagesTemplates.webMessage) !== null && _b !== void 0 ? _b : (pagesTemplates.webMessage = {}));
            if ((cache === null || cache === void 0 ? void 0 : cache.path) !== webMessagePagePath) {
                cache.template = ejs_1.default.compile(fs.readFileSync(webMessagePagePath, 'utf-8'));
                cache.path = webMessagePagePath;
            }
            const page = cache.template(data);
            const headers = new Headers({
                'Content-Type': 'text/html',
            });
            const rawResponse = {
                status: 200,
                headers,
                body: page,
            };
            (0, responses_1.toResponse)(rawResponse, response);
        };
        return {
            webMessage,
        };
    }
};
exports.AuthPagesProvider = AuthPagesProvider;
exports.AuthPagesProvider = AuthPagesProvider = tslib_1.__decorate([
    tslib_1.__param(0, (0, core_1.inject)(keys_1.AuthServiceBindings.Config, { optional: true })),
    tslib_1.__metadata("design:paramtypes", [Object])
], AuthPagesProvider);
function resolvePagePath(page) {
    return node_path_1.default.resolve(__dirname, '../../pages', page);
}
//# sourceMappingURL=auth-pages.provider.js.map