"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toResponse = void 0;
function toResponse(source, target) {
    var _a, _b, _c;
    const status = source.redirect ? 302 : (_a = source.status) !== null && _a !== void 0 ? _a : 200;
    target.status(status);
    (_b = source.headers) === null || _b === void 0 ? void 0 : _b.forEach((value, name) => {
        target.header(name, value);
    });
    (_c = source.cookies) === null || _c === void 0 ? void 0 : _c.forEach(({ name, value, options }) => {
        target.cookie(name, value, options);
    });
    let body = source.body;
    if (target.get('content-type') === 'application/json') {
        body = JSON.stringify(body);
    }
    else if (target.get('content-type') === 'application/x-www-form-urlencoded') {
        body = new URLSearchParams(body).toString();
    }
    if (source.redirect) {
        target.redirect(source.redirect);
    }
    target.send(body);
    return target;
}
exports.toResponse = toResponse;
//# sourceMappingURL=responses.js.map