"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isAllowedUri = void 0;
function isAllowedUri(uri, uris) {
    uris = Array.isArray(uris) ? uris : [uris];
    // 将每个 URI 中的通配符 '*' 转换为正则表达式的 '.*' (匹配任何字符的模式)
    const regexPatterns = uris.map(u => new RegExp('^' + u.replace(/\*/g, '.*') + '$'));
    // 检查是否存在至少一个模式与给定的 URI 匹配
    return regexPatterns.some(pattern => pattern.test(uri));
}
exports.isAllowedUri = isAllowedUri;
//# sourceMappingURL=uris.js.map